Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class InplaceInputTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.InplaceInputTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class InplaceInputTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`InplaceInputTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setCancelControlIcon(javax.el.ValueExpression __cancelControlIcon)` Defines custom cansel icon Setter for cancelControlIcon
`void` | `setChangedClass(javax.el.ValueExpression __changedClass)` CSS style class for changed state Setter for changedClass
`void` | `setChangedHoverClass(javax.el.ValueExpression __changedHoverClass)` CSS Style class for hovered text in changed state Setter for changedHoverClass
`void` | `setControlClass(javax.el.ValueExpression __controlClass)` CSS style class for controls Setter for controlClass
`void` | `setControlHoverClass(javax.el.ValueExpression __controlHoverClass)` CSS style class for hovered control Setter for controlHoverClass
`void` | `setControlPressedClass(javax.el.ValueExpression __controlPressedClass)` CSS style class for pressed press controls Setter for controlPressedClass
`void` | `setControlsHorizontalPosition(javax.el.ValueExpression __controlsHorizontalPosition)` The attribute postions the controls horizontally Setter for controlsHorizontalPosition
`void` | `setControlsVerticalPosition(javax.el.ValueExpression __controlsVerticalPosition)` The attribute postions the controls vertically Setter for controlsVerticalPosition
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` converterMessage Setter for converterMessage
`void` | `setDefaultLabel(javax.el.ValueExpression __defaultLabel)` used to display text while value is undefined Setter for defaultLabel
`void` | `setEditClass(javax.el.ValueExpression __editClass)` CSS style class for edit state Setter for editClass
`void` | `setEditEvent(javax.el.ValueExpression __editEvent)` The attribute provides an option to assign an JavaScript action that initiates the change of the state Setter for editEvent
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setInputWidth(javax.el.ValueExpression __inputWidth)` width of the input field Setter for inputWidth
`void` | `setLayout(javax.el.ValueExpression __layout)` defines how the component is displayed in the layout, can be block or inline Setter for layout
`void` | `setMaxInputWidth(javax.el.ValueExpression __maxInputWidth)` max width of the input field Setter for maxInputWidth
`void` | `setMinInputWidth(javax.el.ValueExpression __minInputWidth)` mim width of the input field Setter for minInputWidth
`void` | `setOnblur(javax.el.ValueExpression __onblur)` Setter for onblur
`void` | `setOnchange(javax.el.ValueExpression __onchange)` Setter for onchange
`void` | `setOneditactivated(javax.el.ValueExpression __oneditactivated)` The attributes provide a possibility to assign JavaScript code to be executed when edit state is activated Setter for oneditactivated
`void` | `setOneditactivation(javax.el.ValueExpression __oneditactivation)` The attributes provide a possibility to assign JavaScript code on edit state activation Setter for oneditactivation
`void` | `setOnfocus(javax.el.ValueExpression __onfocus)` Setter for onfocus
`void` | `setOninputclick(javax.el.ValueExpression __oninputclick)` HTML: a script expression; a pointer button is clicked Setter for oninputclick
`void` | `setOninputdblclick(javax.el.ValueExpression __oninputdblclick)` HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick
`void` | `setOninputkeydown(javax.el.ValueExpression __oninputkeydown)` HTML: a script expression; a key is pressed down Setter for oninputkeydown
`void` | `setOninputkeypress(javax.el.ValueExpression __oninputkeypress)` HTML: a script expression; a key is pressed and released Setter for oninputkeypress
`void` | `setOninputkeyup(javax.el.ValueExpression __oninputkeyup)` HTML: a script expression; a key is released Setter for oninputkeyup
`void` | `setOninputmousedown(javax.el.ValueExpression __oninputmousedown)` HTML: script expression; a pointer button is pressed down Setter for oninputmousedown
`void` | `setOninputmousemove(javax.el.ValueExpression __oninputmousemove)` HTML: a script expression; a pointer is moved within Setter for oninputmousemove
`void` | `setOninputmouseout(javax.el.ValueExpression __oninputmouseout)` HTML: a script expression; a pointer is moved away Setter for oninputmouseout
`void` | `setOninputmouseover(javax.el.ValueExpression __oninputmouseover)` HTML: a script expression; a pointer is moved onto Setter for oninputmouseover
`void` | `setOninputmouseup(javax.el.ValueExpression __oninputmouseup)` HTML: script expression; a pointer button is released Setter for oninputmouseup
`void` | `setOnselect(javax.el.ValueExpression __onselect)` Setter for onselect
`void` | `setOnviewactivated(javax.el.ValueExpression __onviewactivated)` The attributes provide a possibility to assign JavaScript code to be executed when view state is activated Setter for onviewactivated
`void` | `setOnviewactivation(javax.el.ValueExpression __onviewactivation)` The attributes provide a possibility to assign JavaScript code on view state activation Setter for onviewactivation
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` requiredMessage Setter for requiredMessage
`void` | `setSaveControlIcon(javax.el.ValueExpression __saveControlIcon)` Defines custom save icon Setter for saveControlIcon
`void` | `setSelectOnEdit(javax.el.ValueExpression __selectOnEdit)` The attribute make the input field select when switched to edit state Setter for selectOnEdit
`void` | `setShowControls(javax.el.ValueExpression __showControls)` serves to display "save" and "cancel" controls Setter for showControls
`void` | `setTabindex(javax.el.ValueExpression __tabindex)` The attribute serves to define the tabbing order Setter for tabindex
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` validatorMessage Setter for validatorMessage
`void` | `setValue(javax.el.ValueExpression __value)` The initial value to set when rendered for the first time Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
`void` | `setViewClass(javax.el.ValueExpression __viewClass)` Style class for view state Setter for viewClass
`void` | `setViewHoverClass(javax.el.ValueExpression __viewHoverClass)` SCC style class for hovered text in view state Setter for viewHoverClass

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### InplaceInputTag

    public InplaceInputTag()

Method Detail

### setCancelControlIcon

    public void setCancelControlIcon(javax.el.ValueExpression __cancelControlIcon)

  Defines custom cansel icon Setter for cancelControlIcon

  Parameters:
    `cancelControlIcon` - - new value

### setChangedClass

    public void setChangedClass(javax.el.ValueExpression __changedClass)

  CSS style class for changed state Setter for changedClass

  Parameters:
    `changedClass` - - new value

### setChangedHoverClass

    public void setChangedHoverClass(javax.el.ValueExpression __changedHoverClass)

  CSS Style class for hovered text in changed state Setter for changedHoverClass

  Parameters:
    `changedHoverClass` - - new value

### setControlClass

    public void setControlClass(javax.el.ValueExpression __controlClass)

  CSS style class for controls Setter for controlClass

  Parameters:
    `controlClass` - - new value

### setControlHoverClass

    public void setControlHoverClass(javax.el.ValueExpression __controlHoverClass)

  CSS style class for hovered control Setter for controlHoverClass

  Parameters:
    `controlHoverClass` - - new value

### setControlPressedClass

    public void setControlPressedClass(javax.el.ValueExpression __controlPressedClass)

  CSS style class for pressed press controls Setter for controlPressedClass

  Parameters:
    `controlPressedClass` - - new value

### setControlsHorizontalPosition

    public void setControlsHorizontalPosition(javax.el.ValueExpression __controlsHorizontalPosition)

  The attribute postions the controls horizontally Setter for controlsHorizontalPosition

  Parameters:
    `controlsHorizontalPosition` - - new value

### setControlsVerticalPosition

    public void setControlsVerticalPosition(javax.el.ValueExpression __controlsVerticalPosition)

  The attribute postions the controls vertically Setter for controlsVerticalPosition

  Parameters:
    `controlsVerticalPosition` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setConverterMessage

    public void setConverterMessage(javax.el.ValueExpression __converterMessage)

  converterMessage Setter for converterMessage

  Parameters:
    `converterMessage` - - new value

### setDefaultLabel

    public void setDefaultLabel(javax.el.ValueExpression __defaultLabel)

  used to display text while value is undefined Setter for defaultLabel

  Parameters:
    `defaultLabel` - - new value

### setEditClass

    public void setEditClass(javax.el.ValueExpression __editClass)

  CSS style class for edit state Setter for editClass

  Parameters:
    `editClass` - - new value

### setEditEvent

    public void setEditEvent(javax.el.ValueExpression __editEvent)

  The attribute provides an option to assign an JavaScript action that initiates the change of the state Setter for editEvent

  Parameters:
    `editEvent` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setInputWidth

    public void setInputWidth(javax.el.ValueExpression __inputWidth)

  width of the input field Setter for inputWidth

  Parameters:
    `inputWidth` - - new value

### setLayout

    public void setLayout(javax.el.ValueExpression __layout)

  defines how the component is displayed in the layout, can be block or inline Setter for layout

  Parameters:
    `layout` - - new value

### setMaxInputWidth

    public void setMaxInputWidth(javax.el.ValueExpression __maxInputWidth)

  max width of the input field Setter for maxInputWidth

  Parameters:
    `maxInputWidth` - - new value

### setMinInputWidth

    public void setMinInputWidth(javax.el.ValueExpression __minInputWidth)

  mim width of the input field Setter for minInputWidth

  Parameters:
    `minInputWidth` - - new value

### setOnblur

    public void setOnblur(javax.el.ValueExpression __onblur)

  Setter for onblur

  Parameters:
    `onblur` - - new value

### setOnchange

    public void setOnchange(javax.el.ValueExpression __onchange)

  Setter for onchange

  Parameters:
    `onchange` - - new value

### setOneditactivated

    public void setOneditactivated(javax.el.ValueExpression __oneditactivated)

  The attributes provide a possibility to assign JavaScript code to be executed when edit state is activated Setter for oneditactivated

  Parameters:
    `oneditactivated` - - new value

### setOneditactivation

    public void setOneditactivation(javax.el.ValueExpression __oneditactivation)

  The attributes provide a possibility to assign JavaScript code on edit state activation Setter for oneditactivation

  Parameters:
    `oneditactivation` - - new value

### setOnfocus

    public void setOnfocus(javax.el.ValueExpression __onfocus)

  Setter for onfocus

  Parameters:
    `onfocus` - - new value

### setOninputclick

    public void setOninputclick(javax.el.ValueExpression __oninputclick)

  HTML: a script expression; a pointer button is clicked Setter for oninputclick

  Parameters:
    `oninputclick` - - new value

### setOninputdblclick

    public void setOninputdblclick(javax.el.ValueExpression __oninputdblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick

  Parameters:
    `oninputdblclick` - - new value

### setOninputkeydown

    public void setOninputkeydown(javax.el.ValueExpression __oninputkeydown)

  HTML: a script expression; a key is pressed down Setter for oninputkeydown

  Parameters:
    `oninputkeydown` - - new value

### setOninputkeypress

    public void setOninputkeypress(javax.el.ValueExpression __oninputkeypress)

  HTML: a script expression; a key is pressed and released Setter for oninputkeypress

  Parameters:
    `oninputkeypress` - - new value

### setOninputkeyup

    public void setOninputkeyup(javax.el.ValueExpression __oninputkeyup)

  HTML: a script expression; a key is released Setter for oninputkeyup

  Parameters:
    `oninputkeyup` - - new value

### setOninputmousedown

    public void setOninputmousedown(javax.el.ValueExpression __oninputmousedown)

  HTML: script expression; a pointer button is pressed down Setter for oninputmousedown

  Parameters:
    `oninputmousedown` - - new value

### setOninputmousemove

    public void setOninputmousemove(javax.el.ValueExpression __oninputmousemove)

  HTML: a script expression; a pointer is moved within Setter for oninputmousemove

  Parameters:
    `oninputmousemove` - - new value

### setOninputmouseout

    public void setOninputmouseout(javax.el.ValueExpression __oninputmouseout)

  HTML: a script expression; a pointer is moved away Setter for oninputmouseout

  Parameters:
    `oninputmouseout` - - new value

### setOninputmouseover

    public void setOninputmouseover(javax.el.ValueExpression __oninputmouseover)

  HTML: a script expression; a pointer is moved onto Setter for oninputmouseover

  Parameters:
    `oninputmouseover` - - new value

### setOninputmouseup

    public void setOninputmouseup(javax.el.ValueExpression __oninputmouseup)

  HTML: script expression; a pointer button is released Setter for oninputmouseup

  Parameters:
    `oninputmouseup` - - new value

### setOnselect

    public void setOnselect(javax.el.ValueExpression __onselect)

  Setter for onselect

  Parameters:
    `onselect` - - new value

### setOnviewactivated

    public void setOnviewactivated(javax.el.ValueExpression __onviewactivated)

  The attributes provide a possibility to assign JavaScript code to be executed when view state is activated Setter for onviewactivated

  Parameters:
    `onviewactivated` - - new value

### setOnviewactivation

    public void setOnviewactivation(javax.el.ValueExpression __onviewactivation)

  The attributes provide a possibility to assign JavaScript code on view state activation Setter for onviewactivation

  Parameters:
    `onviewactivation` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  requiredMessage Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setSaveControlIcon

    public void setSaveControlIcon(javax.el.ValueExpression __saveControlIcon)

  Defines custom save icon Setter for saveControlIcon

  Parameters:
    `saveControlIcon` - - new value

### setSelectOnEdit

    public void setSelectOnEdit(javax.el.ValueExpression __selectOnEdit)

  The attribute make the input field select when switched to edit state Setter for selectOnEdit

  Parameters:
    `selectOnEdit` - - new value

### setShowControls

    public void setShowControls(javax.el.ValueExpression __showControls)

  serves to display "save" and "cancel" controls Setter for showControls

  Parameters:
    `showControls` - - new value

### setTabindex

    public void setTabindex(javax.el.ValueExpression __tabindex)

  The attribute serves to define the tabbing order Setter for tabindex

  Parameters:
    `tabindex` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  validatorMessage Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The initial value to set when rendered for the first time Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### setViewClass

    public void setViewClass(javax.el.ValueExpression __viewClass)

  Style class for view state Setter for viewClass

  Parameters:
    `viewClass` - - new value

### setViewHoverClass

    public void setViewHoverClass(javax.el.ValueExpression __viewHoverClass)

  SCC style class for hovered text in view state Setter for viewHoverClass

  Parameters:
    `viewHoverClass` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.